View Issue Details

IDProjectCategoryView StatusLast Update
0011630ScribusUsabilitypublic2016-05-14 13:30
ReporterJLuc Assigned Tofschmid  
PrioritynormalSeverityfeatureReproducibilityalways
Status assignedResolutionopen 
Product Version1.5.0svn 
Target VersionFuture Release - Nice to haveFixed in Version 
Summary0011630: Moving Scrapbook items precisely into position is difficult (outline the shape would be nice)
DescriptionScrapbook is very handy for storing and reusing common items.

Using such a stored part is done through drag and dropping the desired item from the Scrapbook to the desired place.

Problem is : item is not displayed during this drag and dropping creative move, + the pointer icon during this dragging option is a big rounded hand.

As a consequence, it's absolutely impossible to guess where precisely the item is going to be dropped : is it the end of the longest finger ? or the end of the index ? or the invisible top left corner ? or the invisible middle of the top side ?
User has to drop blindly and then click again so as to drag the droped item to its desired place.

Possible improvements are :
- use an icon that displays clearly and precisely WHERE the top left corner (or the origin) of the item will be dropped
- or : do as when moving an object : display its outline : this enables to see exactly its position.
Tagsdrag-n-drop, scrapbook, snapping, workflow
PatchNo

Relationships

related to 0012061 new Scrapbook dragndrop should trigger snapping 
has duplicate 0010508 closed Drag and drop from scrapbook would have outline of the shape 

Activities

christoph_s

2013-06-25 05:08

administrator   ~0030348

I can't confirm this. There is an icon and a "+"sign that indicates the top left corner of the placement.

You didn't mention your environment, btw. Since you are a busy reporter (thank you for that!) it might make sense to create an OS profile, so the devs know where to look for issues.

JLuc

2013-06-25 06:30

developer   ~0030351

Last edited: 2013-06-25 06:34

View 2 revisions

I'm on Ubuntu. I dont think that this is OS related.

OK after testing i realise that the + sign IS the placement where the object is droped

I could not imagine this because the + sign is at the bottom right corner of the pointer icon. That's a unusual place for the pointing part of a mouse pointer. It's usually on the top left part.
I realise too that the thumbshot being moved at the same time as the pointer actually display the future position of the dropped item. IU could not imagine it because it was far from the top of the top fingers of the icon.

AMOF the pointing place is the center of the '+' halfway between the hand and the thumbshot... Now i know this i will be able to do with it very well...

but i think this could be improved for the newcomer.
For example it would be more clear if there was no hand at all. The pointer would simply be the placement '+'. That would show without ambiguity where the item is droped. It would fit with the thumbshot place being displayed and it would be as usually expected : the top left of the visible pointer.

JLuc

2013-06-25 07:45

developer   ~0030354

Notice that the "SVG import" pointer icon includes a + also and a kindof newspaper instead of a hand.

Alas, the positionning behaviour for "SVGImport" pointer is different than the one of the Album pick pointer : the + is NOT the placement position (its rather the middle of the top left side of the icon).

These pointers would be easyer to use precisely and the user would feel more comfortable if these pointers would have a consistent look and behaviour.

- Pointer icon should include an arrow, or a + or a clearly precise pointing area
- If that arrow or + is decorated with some other drawing, this drawing should be laid below or right or below right of the precise positioning place (not top, not left, not top left).

JLuc

2013-06-25 15:20

developer   ~0030360

Last edited: 2013-06-25 19:55

View 4 revisions

No, its not the center of the '+' ! Further tests reveal that the positonning point seems to be the horz and vertical middle of the global icon, close to the top left corner of the '+' and close to the center of the hand.

Since this point is mostly covered by the icon itself, it doesnt enable the precise positionning, and i really couldnt imagine it as the positionning point.

christoph_s

2013-06-26 06:00

administrator   ~0030365

I agree that it is debatable whether we need the "hand" icon in addition to the "+" sign. Probably not.

What needs fixing, though, IMHO, is that the "preview" of the Scrapbook cursor object is the preview icon from the Scrapbook, which means the size of the preview isn't related to the real object size. The "cursor preview" should be identical with the real item size.

Issue History

Date Modified Username Field Change
2013-06-24 22:10 JLuc New Issue
2013-06-25 05:08 christoph_s Note Added: 0030348
2013-06-25 06:30 JLuc Note Added: 0030351
2013-06-25 06:34 JLuc Note Edited: 0030351 View Revisions
2013-06-25 07:45 JLuc Note Added: 0030354
2013-06-25 15:20 JLuc Note Added: 0030360
2013-06-25 19:44 JLuc Note Edited: 0030360 View Revisions
2013-06-25 19:44 JLuc Note Edited: 0030360 View Revisions
2013-06-25 19:55 JLuc Note Edited: 0030360 View Revisions
2013-06-26 06:00 christoph_s Note Added: 0030365
2013-06-26 06:01 christoph_s Assigned To => fschmid
2013-06-26 06:01 christoph_s Status new => assigned
2016-03-23 13:16 Kunda Patch => No
2016-03-23 13:16 Kunda Summary Precise album item positionning => Moving Scrapbook items precisely into position is difficult
2016-03-23 13:16 Kunda Description Updated View Revisions
2016-03-23 13:18 Kunda Target Version => Future Release - Nice to have
2016-03-23 14:08 Kunda Relationship added has duplicate 0010508
2016-03-23 14:09 Kunda Summary Moving Scrapbook items precisely into position is difficult => Moving Scrapbook items precisely into position is difficult (outline the shape would be nice)
2016-05-14 13:29 Kunda Tag Attached: drag-n-drop
2016-05-14 13:29 Kunda Tag Attached: scrapbook
2016-05-14 13:29 Kunda Tag Attached: workflow
2016-05-14 13:30 Kunda Tag Attached: snapping
2016-05-14 13:30 Kunda Relationship added related to 0012061